Subject: Re: Rototillers

From: [email-masked]
Date: 10 Mar 1995 06:45:27 GMT

In article <[email-masked]>,
[email-masked] (Steve Offiler) wrote:

> My question is, which rototiller, front-tine or rear-tine?  My usage will be 
> preparation of soil for a respectable size vegetable garden, possibly upwards 
> of 1000 sq ft.  I have an old Farmall Cub with a breaking plow, which will 
> cut and turn the sod very nicely.  With this in mind, I think I can get away 
> with a smaller and less expensive front-tine tiller of maybe 4HP or so, 
> hopefully to be purchased used for a low price.
> 
> Your inputs and comments are greatly appreciated.

Whatever you get make sure it is a REAR tine tiller.....the front tine
ones are junk! I've owned several Troy-Bilt tillers and while they are a
tad on the expensive side they last a long time and do the job quite well.
Remember plowing just turns the soil over and doesn't prep the soil for
planting. You need a tiller to make the soil into something that you can
plant into.

Troy-Bilt and several other companies make rear tine tillers. I currently
have a 5hp Pony tiller that's not only easy to handle but does a fine job
of preparing soil for planting.